<!DOCTYPE html>
<html lang="en">
{% include "header.html" %}

<body id="page-top" class="bg-light">
  <!-- Page Wrapper -->
  <div id="wrapper">
    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">
      <!-- Main Content -->
      <div id="content">
        <!-- Topbar -->
        <div class="bg-white topbar mb-4 static-top shadow">
          <!-- Topbar Navbar -->
          <div class="row pr-4 pt-3">
            <div class="col-12 text-right">
            </div>
          </div>
        </div>
        <!-- End of Topbar -->

        <!-- Page Content -->
        <div class="container">
          <!-- Content Row -->
          <div class="row mt-5 mb-4">
            <div class="col-12">
              <div class="row mt-3 mb-5">
                <div class="col-12 text-center">
                  <img class="img-fluid" src="{{ url_for('static', filename='img/kubernetes-bg.png') }}" width=300>
                </div>
              </div>


              <div class="row">
                <div class="col-12 text-center">
                  <div class="h2 font-weight-bold text-black">
                    Welcome to Kubernetes ArgoCD Demo V2
                  </div>
                  <div class="mt-3 mb-4 h5 font-weight-light text-gray-600">
                    GitOps in Kubernetes with GitLab CI and ArgoCD
                  </div>
                </div>
              </div>


              <div class="row mt-5">
                <div class="col-3"></div>
                <div class="col-6">
                  <div class="card shadow p-0 m-0">
                    <div class="card-header py-3">
                      <span class="m-0 font-weight-bold text-dark">Pod Information</span>
                    </div>
                    <div class="card-body p-3">
                      <div>Namespace: {{ data.namespace }} </div>
                      <div>Node Name: {{ data.node_name }} </div>
                      <div>Pod Name: {{ data.pod_name }} </div>
                      <div>Pod IP: {{ data.pod_ip }} </div>
                    </div>
                  </div>
                </div>
              </div>


            </div>

          </div>
          <!--  End of Content Row -->
        </div>
        <!--  End of Container Fluid -->
      </div>
      <!-- End of Main Content -->
    </div>
    <!-- End of Content Wrapper -->
  </div>
  <!-- End of Page Wrapper -->
</body>

</html>